/**
 * The script for the meta box.
 *
 * @since             0.1.0
 * @package           CB_Vegas
 * @subpackage        CB_Vegas/admin/menu/js
 * Author:            Demis Patti demis@demispatti.ch
 * Author URI:        http://demispatti.ch
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

(function($){
	'use strict';

	$(document).ready(function(){

		/*--------------------------------------------------
		 * Fancy Select
		 *------------------------------------------------*/
		$('.cb-vegas-fancy-select').fancySelect();

		/*--------------------------------------------------
		 * iPhone-like Checkboxes
		 *------------------------------------------------*/
		// Wrap.
		$("<div class='cb-vegas-switch-container'></div>").insertAfter(".cb-vegas-switch");

		// Toggle.
		$('.cb-vegas-switch-container').on('click', function(event){
			event = event || window.event;
			event.preventDefault();

			$(this).prev().attr("checked", !$(this).prev().attr("checked"));
		});

	});

})(jQuery);
